> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Update counterparty fields



## OpenAPI

````yaml /api-reference/platform-api.json patch /v2/counterparties/{id}
openapi: 3.0.0
info:
  title: Range Platform API
  description: >-
    The Range Platform API for workspace management, counterparties, and
    operational tooling.
  version: 1.6.1
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Counterparties
    description: Manage external entities, their addresses, bank accounts, and documents.
  - name: Transfer Enrichments
    description: Attach workspace-scoped notes and categories to transfers.
paths:
  /v2/counterparties/{id}:
    patch:
      tags:
        - Counterparties
      summary: Update counterparty fields
      operationId: update
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCounterpartyDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CounterpartyDto'
components:
  schemas:
    UpdateCounterpartyDto:
      type: object
      properties:
        name:
          type: string
          example: Vercel Inc.
        type:
          type: string
          enum:
            - vendor
            - customer
            - investor
            - partner
            - exchange
            - other
          example: vendor
        website:
          type: string
          format: uri
          example: https://vercel.com
        notes:
          type: string
          example: Updated contract terms
    CounterpartyDto:
      type: object
      properties:
        id:
          type: string
          example: a1b2c3d4-5678-90ab-cdef-1234567890ab
        name:
          type: string
          example: Vercel
        type:
          type: string
          example: vendor
        website:
          type: string
          example: https://vercel.com
        notes:
          type: string
          example: Infrastructure hosting provider
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/CounterpartyAddressDto'
        bank_accounts:
          type: array
          items:
            $ref: '#/components/schemas/CounterpartyBankAccountDto'
        documents:
          type: array
          items:
            $ref: '#/components/schemas/CounterpartyDocumentDto'
        created_at:
          type: string
          example: '2026-05-01T10:00:00Z'
        updated_at:
          type: string
          example: '2026-05-11T14:30:00Z'
      required:
        - id
        - name
        - type
        - addresses
        - bank_accounts
        - documents
        - created_at
        - updated_at
    CounterpartyAddressDto:
      type: object
      properties:
        id:
          type: string
          example: 08846e81-b3a8-7fd9-cc39-d4023a75dcff
        address:
          type: string
          example: '0x742d35Cc6634C0532925a3b844Bc9e7595f2bD28'
        network:
          type: string
          example: ethereum
        name:
          type: string
          example: Vercel Payment Wallet
        label:
          type: string
          example: payment address
      required:
        - id
        - address
        - network
        - name
    CounterpartyBankAccountDto:
      type: object
      properties:
        id:
          type: string
          example: ba-001
        currency:
          type: string
          example: USD
        bank_name:
          type: string
          example: Silicon Valley Bank
        account_name:
          type: string
          example: Vercel Inc
        iban:
          type: string
          example: '************1234'
        swift:
          type: string
          example: CHASUS33
        routing_number:
          type: string
          example: '*****0248'
        account_number:
          type: string
          example: '****5678'
        account_type:
          type: string
          example: checking
        sort_code:
          type: string
          example: '****89'
      required:
        - id
        - currency
        - bank_name
    CounterpartyDocumentDto:
      type: object
      properties:
        id:
          type: string
          example: doc-001
        name:
          type: string
          example: certificate_of_incorporation.pdf
        type:
          type: string
          example: kyb
          enum:
            - kyc
            - kyb
            - contract
            - other
        mime_type:
          type: string
          example: application/pdf
        size_bytes:
          type: number
          example: 245000
        uploaded_at:
          type: string
          example: '2026-05-10T09:00:00Z'
      required:
        - id
        - name
        - type
        - mime_type
        - size_bytes
        - uploaded_at
  securitySchemes:
    Authorization:
      scheme: bearer
      bearerFormat: API Key
      description: 'Use Authorization: Bearer <api-key>'
      type: http

````